//
//  SUInstaller.h
//  Sparkle
//
//  Created by Andy Matuschak on 4/10/08.
//  Copyright 2008 Andy Matuschak. All rights reserved.
//

#ifndef SUINSTALLER_H
#define SUINSTALLER_H

#import <Cocoa/Cocoa.h>


@class SUHost;
@protocol SUVersionComparison;

@interface SUInstaller : NSObject {}

- (void)finishInstallationWithResult:(BOOL)result
                                host:(SUHost *)host
                               error:(NSError *)error
                            delegate:delegate;
- (void)performInstallationWithPath:(NSString *)path
                               host:(SUHost *)host
                           delegate:delegate
                      synchronously:(BOOL)synchronously
                  versionComparator:(id <SUVersionComparison>)comparator;

@end

@interface NSObject (SUInstallerDelegateInformalProtocol)

- (void)installerFinishedForHost:(SUHost *)host;
- (void)installerForHost:(SUHost *)host failedWithError:(NSError *)error;

@end

#endif
